import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class MyWorld here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class MyWorld extends World
{
    private boolean startSpace;
    private boolean normalDayBool;
    private boolean darkDayBool;
    
    /**
     * Constructor for objects of class MyWorld.
     * 
     */
    public MyWorld()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(768, 426, 1); 
        startSpace = false;
        normalDayBool = false;
        darkDayBool = false;
        setPaintOrder(PlayerFlight.class);
        
        prepare();
        
    }

    public void act()
    {
        startGame();
        
        
    }
    
    /**
     * Prepare the world for the start of the program.
     * That is: create the initial objects and add them to the world.
     */
    private void prepare()
    {
        PlayerFlight playerFlight = new PlayerFlight();
        addObject(playerFlight, 384, 213);

        StartStart startStart = new StartStart();
        addObject(startStart,384,90);

        if(Greenfoot.getRandomNumber(10) == 1)
        {   
            darkDayBool = true;
            if (darkDayBool)
            {
                setBackground(new GreenfootImage("background_mountain_2.png"));
            }

        }
        else
        {
            normalDayBool = true;
            if (normalDayBool)
            {
                setBackground(new GreenfootImage("background_mountain_1.png"));
            }
        }

        
        
    }
    
    public void startGame()
    {
        if (Greenfoot.isKeyDown("space"))
        {
            startSpace = true;
        }
        
        if (startSpace)
        {
            if (normalDayBool)normalDay();
            
            if (darkDayBool)darkDay();
            
        }
    }
    
    public void normalDay()
    {
        if (Greenfoot.getRandomNumber(10) == 1)
        {
            Balloon1 redBalloon = new Balloon1();
            addObject(redBalloon,Greenfoot.getRandomNumber(768), 426);
        }
            
        if (Greenfoot.getRandomNumber(10) == 2)
        {
            Balloon2 blueBalloon = new Balloon2();
            addObject(blueBalloon,Greenfoot.getRandomNumber(768), 426);
        }
            
        if (Greenfoot.getRandomNumber(100) == 5)
        {
            Bomb bomb = new Bomb();
            addObject(bomb, Greenfoot.getRandomNumber(768), 426);
        }
    }
    
    public void darkDay()
    {
        if (Greenfoot.getRandomNumber(100) < 5)
        {
            DeadCloud cloudD = new DeadCloud();
            addObject(cloudD, Greenfoot.getRandomNumber(768), 50);
        }
    }
    
    
}
