import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class PlayerFlight here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class PlayerFlight extends Actor
{
    private boolean startSpace; 
    private boolean dark;
    private int time = 500;
    
    GreenfootImage image = getImage();
    
    public PlayerFlight()
    {
        
        image.scale(image.getWidth(), image.getHeight());
        setImage(image);

        dark = false;
        startSpace = false;
    }
    
    /**
     * Act - do whatever the PlayerFlight wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        checkKey();
        
        collision();
    }    
    
    public void checkKey()
    {
        if (startSpace && !dark)
        {
            //explode();
            
            
            if (Greenfoot.isKeyDown("w"))
            {
                setLocation(getX(), getY() - 10);
                
            }
            
            if (Greenfoot.isKeyDown("s"))
            {
                setLocation(getX(), getY() + 10);
                
            }
            
            if (Greenfoot.isKeyDown("a"))
            {
                setLocation(getX() - 10, getY());
                
            }
            
            if (Greenfoot.isKeyDown("d"))
            {
                setLocation(getX() + 10, getY());
                
            }
            
            if (Greenfoot.isKeyDown("Space"))
            {
                beam beam = new beam();
                getWorld().addObject(beam,getX(),getY());
            }
            
            if (Greenfoot.isKeyDown("shift"))
            {
                donut donut = new donut();
                getWorld().addObject(donut,getX(),getY());
            }
            
            if (Greenfoot.isKeyDown("`"))
            {
                //Greenfoot.ask("test");
                int preg= Integer.parseInt(Greenfoot.ask("c̷̢̞͙̫͎̘̺̳̖̋̃̉̔̄ͅo̸͖̣͉̤̼̥͕͇͌͐̂̚d̸̛̪̍͂̈̄͝e̴͓͈̠̥͑͒̋"));
                if (preg == 69 || preg == 420 || preg == 42069)
                {
                    
                    explode();
                }
            }
        }
        else
        {
            if (Greenfoot.isKeyDown("Space"))
            {
                startSpace = true;
            }
        }
    }
    
    private void collision()
    {
        if (isTouching(DeadCloud.class))
        {
            
            setImage("Cloud1.png");
            
            bar2 bar2 = new bar2();
            getWorld().addObject(bar2,384,34);
            
            portal portal = new portal();
            getWorld().addObject(portal, 384, 213);
            
            setLocation(384, 213);
            
            dark = true;
            
        }
        
        if (isTouching(Bomb.class))
        {
            
            explode();
            
            bar bar = new bar();
            getWorld().addObject(bar,384,34);
            
            
            getWorld().removeObject(this);
        }
        
        if (dark) getImage().setTransparency(0);
    }
    
    private void explode()
    {
        explode explode = new explode();
        getWorld().addObject(explode,getX(),getY());
    }
    
    
}
